Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.common.domain.impl
Class SimpleValidationErrorFilter

    java.lang.Object
      com.jaspersoft.jasperserver.api.common.domain.impl.SimpleValidationErrorFilter

All Implemented Interfaces:
  ValidationErrorFilter, java.io.Serializable

    public class SimpleValidationErrorFilter

extends java.lang.Object
implements ValidationErrorFilter, java.io.Serializable

Version:
  $Id: ValidationErrorsImpl.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Constructor Summary
`SimpleValidationErrorFilter()`

Method Summary
`void` | `addErrorCodeToExclude(java.lang.String code)`
`void` | `addErrorCodeToInclude(java.lang.String code)`
`void` | `addErrorFieldToExclude(java.lang.String field)`
`void` | `addErrorFieldToInclude(java.lang.String field)`
`boolean` | `matchError(ValidationError error)`
`boolean` | `matchErrorCode(java.lang.String code)`
`boolean` | `matchErrorField(java.lang.String field)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleValidationErrorFilter

    public SimpleValidationErrorFilter()

Method Detail

### matchError

    public boolean matchError(ValidationError error)

  Specified by:
    `matchError` in interface `ValidationErrorFilter`

### matchErrorCode

    public boolean matchErrorCode(java.lang.String code)

  Specified by:
    `matchErrorCode` in interface `ValidationErrorFilter`

### matchErrorField

    public boolean matchErrorField(java.lang.String field)

  Specified by:
    `matchErrorField` in interface `ValidationErrorFilter`

### addErrorCodeToInclude

    public void addErrorCodeToInclude(java.lang.String code)

### addErrorCodeToExclude

    public void addErrorCodeToExclude(java.lang.String code)

### addErrorFieldToInclude

    public void addErrorFieldToInclude(java.lang.String field)

### addErrorFieldToExclude

    public void addErrorFieldToExclude(java.lang.String field)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.